Bug 94481 - softpipe - access violation in img_filter_2d_nearest
Summary: softpipe - access violation in img_filter_2d_nearest
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Other (show other bugs)
Version: 11.2
Hardware: x86-64 (AMD64) Windows (All)
: medium major
Assignee: mesa-dev
QA Contact: mesa-dev
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-10 17:57 UTC by Greg
Modified: 2016-03-15 19:00 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Greg 2016-03-10 17:57:35 UTC
img_filter_2d_nearest and the other image filter functions access the args->offset property of the img_filter structure which is a pointer without checking if the value is actually defined. img_filter_2d_ewa(...) creates a local copy of img_filter, but it never initializes the offset property. When that local copy of img_filter is passed into min_filter(sp_sview, sp_samp, &args, &rgba_temp[0][jj]), an access violation occurs when the offset property is attempted to be read.
Comment 1 Greg 2016-03-10 19:00:13 UTC
This problem also exists in mip_filter_linear_aniso(...)
Comment 2 Roland Scheidegger 2016-03-11 05:09:21 UTC
The initialization should be pretty easy to fix I think, if noone beats me to it I'll see what I can do...
Comment 3 Roland Scheidegger 2016-03-15 19:00:29 UTC
Fixed by 9e9d69979c7aff7dac2d670af950f4a50273bcde.


bug/show.html.tmpl processed on Feb 28, 2017 at 05:25:46.
(provided by the Example extension).